Subject: [bug#63044] [PATCH] gnu: python-setuptools: Disable date checking in bdist_egg.py

From: Brian Cully <[email-masked]>
Date: Fri, 12 May 2023 18:37:12 -0400

Ludovic Courtès <[email-masked]> writes:

> Yes.  I’m surprised we didn’t hit a problem before, despite 
> having
> thousands of Python packages.  Can we work around it for the one 
> package
> that hits that bug?  (Until a fix like you propose lands.)

Yeah, I've given up trying to do this the “right” way. See #63149 
for an updated patch that just copies in the ensure-mtime 
procedure with a change to check for symlinks.

> If you can use @@ to get at ‘ensure-no-mtimes-pre-1980’, I’d 
> still
> suggest to do that for ‘criu’.

This is what I've done for ‘sssd’, see #63091. For ‘criu’, see 
above.

-bjc